function [m_win ] = windowFunction( fftsize  )

%fftsize specifies the size of the FFT
%m_L,m_S are the analysis and synthesis windows, respectively
%m_win is the window that will be generated (hanning)

m_L=fftsize;
m_S=m_L/4;

% Griffin-Lim Algorithm starts here

m_win=[];
a=0.5;
b=-0.5;

%Rectangular window magnitude
wr= sqrt(m_S)/sqrt(m_L);

%Scale factor for hanning window
scale=(2*wr)/(sqrt(4*a*a+2*b*b));

for i=1:1:m_L
    m_win(i)=scale*(a+b*cos(2*pi*i/m_L));
end


end

